<?php
include_once('EmailsNoSpam_LifeCycle.php');
class EmailsNoSpam_Plugin extends EmailsNoSpam_LifeCycle {

    /**
     * See: http://plugin.michael-simpson.com/?page_id=31
     * @return array of option meta data.
     */
    public function getOptionMetaData() {
        //  http://plugin.michael-simpson.com/?page_id=31
        return array(
            //'_version' => array('Installed Version'), // Leave this one commented-out. Uncomment to test upgrades.
			'SelectService' => array(__('Select Service. SMTP Free use only WP Mail. Limited sends!', 'emails-no-spam'), 'SMTP FREE', 'WEBSERVICE'),
            'WebServervice' => array(__('Webservice. Send up to 1000 emails per account per day. Buy credits and become PRO. You will have a key to unlock the web service:  Example: https://entregador.click/webservices/emails-no-spam/your-secret-key', 'emails-no-spam'))
			
			
			
            /* 'AmAwesome' => array(__('Version', 'my-awesome-plugin'), 'S', 'N'),
            //'CanDoSomething' => array(__('Which user role can do something', 'my-awesome-plugin'),
                                        'Administrator', 'Editor', 'Author', 'Contributor', 'Subscriber', 'Anyone') */
        );
    }

//    protected function getOptionValueI18nString($optionValue) {
//        $i18nValue = parent::getOptionValueI18nString($optionValue);
//        return $i18nValue;
//    }

    protected function initOptions() {
        $options = $this->getOptionMetaData();
        if (!empty($options)) {
            foreach ($options as $key => $arr) {
                if (is_array($arr) && count($arr > 1)) {
                    $this->addOption($key, $arr[1]);
                }
            }
        }
    }

    public function getPluginDisplayName() {
        return 'Emails No Spam';
    }

    protected function getMainPluginFileName() {
        return 'emails-no-spam.php';
    }
	

    /**
     * See: http://plugin.michael-simpson.com/?page_id=101
     * Called by install() to create any database tables if needed.
     * Best Practice:
     * (1) Prefix all table names with $wpdb->prefix
     * (2) make table names lower case only
     * @return void
     */
    protected function installDatabaseTablesEmailNoSpam() {
        //        global $wpdb;
        //        $tableName = $this->prefixTableName('mytable');
        //        $wpdb->query("CREATE TABLE IF NOT EXISTS `$tableName` (
        //            `id` INTEGER NOT NULL");
		
		
		// Plugin?s Menu		
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Server_ENS_Menu.php');	
	//Licence
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Page_Timer.php');	
	//Create Tables
	include_once( EMAILS_NO_SPAM_DIR .'create_tables/my_servers.php' ); 
	include_once( EMAILS_NO_SPAM_DIR .'create_tables/my_lists.php' ); 
	include_once( EMAILS_NO_SPAM_DIR .'create_tables/my_recipients.php' );

	//Login	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Login_Login.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Login_Checkout.php');  // with menu	
	//Cron	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Cron_Cron.php');  // with menu
	
	//Send List
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Send_List_Cron.php');
	
	//Servers
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Include_Servers.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_List_Servers.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Setting_Servers.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Reset_Servers.php'); 
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Servers_Sync_Servers.php'); 
	
	//My Lists
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_My_Lists_My_Lists.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_My_Lists_Clear_List.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Csv_Example.php');
	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Unsubscribe.php');
	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Subscribe.php');
		
	//New List
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_New_List_New_List.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_New_List_Import_Recipients.php');
	
	// Recipients
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_List_Recipients_List_Recipients.php');


	// Tables
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Tables_Manager_Fields.php');  // with menu
	

	//Theme
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Themes.php');
	
	// Template	
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Support_Support.php');  // with menu
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Post_Template_Support.php');
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Post_Template_Example.php');
	
	// contact
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Support_Contact_Form.php');  // with menu
	
	//Fiedls
	include_once( EMAILS_NO_SPAM_DIR .'create_pages/EmailsNoSpam_Tables_Manager_Fields.php' );
		
    }

    /**
     * See: http://plugin.michael-simpson.com/?page_id=101
     * Drop plugin-created tables on uninstall.
     * @return void
     */
    protected function uninstallDatabaseTablesEmailNoSpam() {
        //        global $wpdb;
        //        $tableName = $this->prefixTableName('mytable');
        //        $wpdb->query("DROP TABLE IF EXISTS `$tableName`");
    }


    /**
     * Perform actions when upgrading from version X to version Y
     * See: http://plugin.michael-simpson.com/?page_id=35
     * @return void
     */
  public function upgrade() {
	
	$upgradeOk = true;
    $savedVersion = $this->getVersionSaved();
    if ($this->isVersionLessThan($savedVersion, '1.9')) {
        if ($this->isVersionLessThan($savedVersion, '1.8')) {
            if ($this->isVersionLessThan($savedVersion, '1.5')) {
				
function emails_no_spam_atualiza_fun() {

}

add_action( 'init', 'emails_no_spam_atualiza_fun' );
            
			}
            // perform version 1.8 upgrade action
        }
        // perform version 2.0 upgrade action
     }
	 
	  
	 
	 				}

public function addActionsAndFilters() {
include( EMAILS_NO_SPAM_DIR .'scripts/common/functions.php');


	// AJAX RESPONSE FUNCTIONS FOLDER SERVERS
include( EMAILS_NO_SPAM_DIR .'scripts/list-recipients/ajax.php' );
include( EMAILS_NO_SPAM_DIR .'scripts/servers/ajax.php' );
include( EMAILS_NO_SPAM_DIR .'scripts/login/ajax.php' );
include( EMAILS_NO_SPAM_DIR .'scripts/support/ajax.php' );




        // Add options administration page
        // http://plugin.michael-simpson.com/?page_id=47
        add_action('admin_menu', array(&$this, 'addSettingsSubMenuPage'));

        // Example adding a script & style just for the options administration page
        // http://plugin.michael-simpson.com/?page_id=47
        //        if (strpos($_SERVER['REQUEST_URI'], $this->getSettingsSlug()) !== false) {
        //            wp_enqueue_script('my-script', plugins_url('/js/my-script.js', __FILE__));
        //            wp_enqueue_style('my-style', plugins_url('/css/my-style.css', __FILE__));
        //        }


        // Add Actions & Filters
        // http://plugin.michael-simpson.com/?page_id=37


        // Adding scripts & styles to all pages
        // Examples:
        //        wp_enqueue_script('jquery');
        //        wp_enqueue_style('my-style', plugins_url('/css/my-style.css', __FILE__));

	 //wp_enqueue_script( 'format-email-no-spam', plugin_dir_url( __FILE__ ) . 'scripts/js/format.js', array( 'jquery' ) );


        // Register short codes
        // http://plugin.michael-simpson.com/?page_id=39
		
global $wpdb;
$production = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'EmailsNoSpam_Plugin_AmAwesome'" );
$token  = $wpdb->get_var( "SELECT option_value FROM $wpdb->options WHERE option_name = 'EmailsNoSpam_Plugin_ATextInput'" );
	
	include_once( EMAILS_NO_SPAM_DIR .'EmailsNoSpam_ShortCodeLoader.php');
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_HelloWorldShortCode.php');
	$sc = new EmailsNoSpam_HelloWorldShortCode();
	$sc->register('say-hello-world');
	
	//Cron
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Send_List_Cron_ShortCode.php');
	$sc = new EmailsNoSpam_Send_list_Cron();
	$sc->register('s-emailnospam-send-list-cron');
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Cron_Cron_ShortCode.php');
	$sc = new EmailsNoSpam_Cron_Cron();
	$sc->register('s-emailnospam-cron-cron');	
	
	// Login
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Login_Login_ShortCode.php');
	$sc = new EmailsNoSpam_Login_Login();
	$sc->register('s-emailnospam-login-login');
	
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Login_Checkout_ShortCode.php');
	$sc = new EmailsNoSpam_Login_Checkout();
	$sc->register('s-emailnospam-login-checkout');		
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Servers_List_Servers_ShortCode.php');
	$sc = new EmailsNoSpam_Servers_List_Servers();
	$sc->register('s-emailnospam-servers-list-servers');
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Servers_Setting_Servers_ShortCode.php');
	$sc = new EmailsNoSpam_Servers_Setting_Servers();
	$sc->register('s-emailnospam-servers-setting-servers');
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Servers_Include_Servers_ShortCode.php');
	$sc = new EmailsNoSpam_Servers_Include_Servers();
	$sc->register('s-emailnospam-servers-include-servers');

	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Servers_Reset_Servers_ShortCode.php');
	$sc = new EmailsNoSpam_Servers_Reset_Servers();
	$sc->register('s-emailnospam-servers-reset-servers');
		
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_My_Lists_My_Lists_ShortCode.php');
	$sc = new EmailsNoSpam_My_Lists_My_Lists();
	$sc->register('s-emailnospam-my-lists-my-lists');

	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_New_List_New_List_ShortCode.php');
	$sc = new EmailsNoSpam_New_List_New_List();
	$sc->register('s-emailnospam-new-list-new-list');
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_New_List_Import_Recipients_ShortCode.php');
	$sc = new EmailsNoSpam_New_List_Import_Recipients();
	$sc->register('s-emailnospam-new-list-import-recipients');
	
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_List_Recipients_List_Recipients_ShortCode.php');
	$sc = new EmailsNoSpam_List_Recipients_List_Recipients();
	$sc->register('s-emailnospam-list-recipients-list-recipients');
	
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_List_Recipients_List_Unsubscribe_ShortCode.php');
	$sc = new EmailsNoSpam_List_Recipients_List_Unsubscribe();
	$sc->register('s-emailnospam-list-recipients-list-unsubscribe');
	
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_List_Recipients_List_Subscribe_ShortCode.php');
	$sc = new EmailsNoSpam_List_Recipients_List_Subscribe();
	$sc->register('s-emailnospam-list-recipients-list-subscribe');
	

	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Tables_Manager_Fields_ShortCode.php');
	$sc = new EmailsNoSpam_Tables_Manager_Fields();
	$sc->register('s-emailnospam-tables-manager-fields');
	
	// support
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Support_Support_ShortCode.php');
	$sc = new EmailsNoSpam_Support_Support();
	$sc->register('s-emailnospam-support-support');
	
	
		// contact
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Support_Contact_Form_ShortCode.php');
	$sc = new EmailsNoSpam_Support_Contact_Form();
	$sc->register('s-emailnospam-support-contact-form');
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_Servers_Sync_Servers_ShortCode.php');
	$sc = new EmailsNoSpam_Servers_Sync_Servers();
	$sc->register('s-emailnospam-servers-sync-servers');
	
	
	include_once( EMAILS_NO_SPAM_DIR .'shortcodes/EmailsNoSpam_List_Csv_Example_ShortCode.php');
	$sc = new EmailsNoSpam_List_Csv_Example();
	$sc->register('s-emailnospam-list-csv-example');


	wp_enqueue_style('email-no-spam-style-unic', plugins_url('css/preloader_new.css', __FILE__));

        // Register AJAX hooks
        // http://plugin.michael-simpson.com/?page_id=41
		
		 // enqueue and localise scripts
wp_enqueue_script( 'my-ajax-handle', plugin_dir_url( __FILE__ ) . 'scripts/js/ajax.js', array( 'jquery' ) );
wp_localize_script( 'my-ajax-handle', 'the_ajax_script', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ) ) );



    }


}