<?php
/*
   Plugin Name: Emails No Spam
   Plugin URI: http://wordpress.org/extend/plugins/emails-no-spam/
   Version: 2.7
   Author: Clodoaldo Xavier Gomes
   Description: Emails No Spam (Email Marketing in mail box!). Send posts to an email list. The plugin is literally a blessing for everyone. Customizable fields.
   Text Domain: emails-no-spam
   License: GPLv3
  */

/*
    "WordPress Plugin Template" Copyright (C) 2018 Michael Simpson  (email : michael.d.simpson@gmail.com)

    This following part of this file is part of WordPress Plugin Template for WordPress.

    WordPress Plugin Template is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    WordPress Plugin Template is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Contact Form to Database Extension.
    If not, see http://www.gnu.org/licenses/gpl-3.0.html
*/

$EmailsNoSpam_minimalRequiredPhpVersion = '5.0';

define('EMAILS_NO_SPAM', plugin_dir_url( __FILE__ ));
define('EMAILS_NO_SPAM_URL', plugins_url('',__FILE__));
define('EMAILS_NO_SPAM_DIR', plugin_dir_path(__FILE__));
define('EMAILS_NO_SPAM_SITE', site_url());

if ( ! defined( 'EMAILS_NO_SPAM_PLUGIN_VERSION' ) ) define( 'EMAILS_NO_SPAM_PLUGIN_VERSION', '1.2.2' );
if ( ! defined( 'EMAILS_NO_SPAM_PLUGIN_DIR_PATH' ) ) define( 'EMAILS_NO_SPAM_PLUGIN_DIR_PATH', plugins_url( '', __FILE__ ) );
if ( ! defined( 'EMAILS_NO_SPAM_PLUGIN_BASENAME' ) ) define( 'EMAILS_NO_SPAM_PLUGIN_BASENAME', plugin_basename( __FILE__) );

/**
 * Check the PHP version and give a useful error message if the user's version is less than the required version
 * @return boolean true if version check passed. If false, triggers an error which WP will handle, by displaying
 * an error message on the Admin page
 */
function EmailsNoSpam_noticePhpVersionWrong() {
    global $EmailsNoSpam_minimalRequiredPhpVersion;
    echo '<div class="updated fade">' .
      __('Error: plugin "Emails No Spam" requires a newer version of PHP to be running.',  'emails-no-spam').
            '<br/>' . __('Minimal version of PHP required: ', 'emails-no-spam') . '<strong>' . $EmailsNoSpam_minimalRequiredPhpVersion . '</strong>' .
            '<br/>' . __('Your server\'s PHP version: ', 'emails-no-spam') . '<strong>' . phpversion() . '</strong>' .
         '</div>';
}


function EmailsNoSpam_PhpVersionCheck() {
    global $EmailsNoSpam_minimalRequiredPhpVersion;
    if (version_compare(phpversion(), $EmailsNoSpam_minimalRequiredPhpVersion) < 0) {
        add_action('admin_notices', 'EmailsNoSpam_noticePhpVersionWrong');
        return false;
    }
    return true;
}


/**
 * Initialize internationalization (i18n) for this plugin.
 * References:
 *      http://codex.wordpress.org/I18n_for_WordPress_Developers
 *      http://www.wdmac.com/how-to-create-a-po-language-translation#more-631
 * @return void
 */
function EmailsNoSpam_i18n_init() {
    $pluginDir = dirname(plugin_basename(__FILE__));
    load_plugin_textdomain('emails-no-spam', false, $pluginDir . '/languages/');
}


//////////////////////////////////
// Run initialization
/////////////////////////////////

// Initialize i18n
add_action('plugins_loaded','EmailsNoSpam_i18n_init');

// Run the version check.
// If it is successful, continue with initialization for this plugin
if (EmailsNoSpam_PhpVersionCheck()) {
    // Only load and run the init function if we know PHP version can parse it
    include_once('emails-no-spam_init.php');
    EmailsNoSpam_init(__FILE__);
}